package net.minecraft.src;

public class NRTJoint extends NRTBone
{
	public Vec3D getTotalRotatedVector()
	{
		if(parent != null)
		{
			Vec3D vec = parent.getTotalRotatedVector();
			Vec3D vec2 = parent.getTotalRelativeRotation().rotateVector(baseVec);
			vec.addVector(vec2.xCoord, vec2.yCoord, vec2.zCoord);
			return vec;
		}
		return Vec3D.createVectorHelper(baseVec.xCoord, baseVec.xCoord, baseVec.xCoord);
	}
}
